/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.management.j2ee;

/**
 * MBean interface.
 */
public interface J2EEManagedObjectMBean
{

   java.lang.String getobjectName();

   java.lang.String getparent();

   void setparent(java.lang.String pParent) throws org.jboss.management.j2ee.InvalidParentException;

   void addChild(javax.management.ObjectName pChild);

   void removeChild(javax.management.ObjectName pChild);

   boolean isstateManageable();

   boolean isstatisticsProvider();

   boolean iseventProvider();

}
